{{#each this.cols as |col index|}}
  <div class='col layout-col-editable {{col-size-limit @size col.cls}} {{if (eq @selectionId (concat @containerIndex "." @rowIndex "." index)) "col-selected"}}' {{on 'click' (fn this.select index)}}>
    <div class='layout-col-editable-content'>
      <div class='manage-col-section'>
        <div class='manage-col-container'>
          {{#if (eq this.lastIndex index)}}
            <Input::Layout::InsertColBtn class='btn-add-col btn-add-col-{{this.cols.length}}' {{on 'click' this.addCol}} />
            <br />
            <Input::Layout::RemoveColBtn class='btn-delete-col btn-delete-col-{{this.cols.length}}' {{on 'click' (fn this.deleteCol index)}} />
          {{/if}}
        </div>
      </div>
      <div class='manage-col-section'>
        <div class='text-center'>
          <BsColWidths @size={{@size}} @containerIndex={{@containerIndex}} @rowIndex={{@rowIndex}} @colIndex={{index}} @col={{col}} class='manage-col-widths btn-col-options btn-col-options-{{this.cols.length}}' />
        </div>
      </div>
    </div>
  </div>
{{/each}}